import service from '@/utils/request'

export const getGatewayList = (data) => {
  return service({
    url: '/gateway/getGateWayList',
    method: 'post',
    data: data
  })
}

export const addGateway = (data) => {
  return service({
    url: '/gateway/addGateway',
    method: 'post',
    data: data
  })
}

export const setGatewayInfo = (data) => {
  return service({
    url: '/gateway/updateGateway',
    method: 'post',
    data: data
  })
}

export const deleteBaseGateway = (data) => {
  return service({
    url: '/gateway/delGateway',
    method: 'delete',
    data: data
  })
}

export const getPublicIntersect = () => {
  return service({
    url: '/intersect/getPublicIntersect',
    method: 'get'
  })
}


